\ This file contains the S-Viewer macros for the story book 
\ sgml file...

fmt_flag

0 constant WRAP
1 constant NOWRAP

80    string author
80    string title
256   string note
256   string from
8192  string p

74 right_margin !
0  left_margin !

: define_mark                   \ This should be a C function
  " </story>" 1+ marker 8 cmove
  ;

define_mark
forget define_mark

: <stories>
\   mark_position
   cls 
   0 left_margin !
   ;
: </stories>
   " Press any key to go to beginning of the document" popup_msg
   0 seek_mark ( abort ) ;

: <fm>
   hdr_w @ current_w !
   0 0 gotoxy
   cls
   ;
: </fm>
   chunk_w @ current_w !
   0 0 gotoxy
   cls
   note display next_line next_line
   from display next_line next_line
   "            SGML Demo prepared by Norman E. Smith, CDP" prints
   win_ui
   mark_position
   cls
   ;
: <story>
   hdr_w @ current_w !
   0 0 gotoxy
   cls
   chunk_w @ current_w !
   0 0 gotoxy
   cls
   ;
: </story>
   0 0 gotoxy
   mark_position
\   win_ui
   ;
: <note>
   note read_into
   ;
: </note>
   ;

: <from>
   from read_into
   ;
: </from>
   ;
: <title>
   title read_into
   ;
: </title>
   hdr_w @ current_w !
   title center
   next_line
   chunk_w @ current_w !
   ;
: <author>
   author read_into
   ;
: </author>
   hdr_w @ current_w !
   next_line author center
   chunk_w @ current_w @
   ;
: <p>
   p read_into
   ;
: </p>
   p display next_line next_line
   0 0 gotoxy
   mark_position
   win_ui
   ;

: <text> 
   chunk_w @ current_w !
   ;
: </text> 
   0 0 gotoxy
\   mark_position
\   win_ui
   ;

sviewer
